public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-accessibility/orca/
Date: Fri, 24 Jun 2016 20:06:46 +0000 (UTC)	[thread overview]
Message-ID: <1466798780.cdbc275294c3d20e87c71ba2d379295c7093a3a7.pacho@gentoo> (raw)

commit:     cdbc275294c3d20e87c71ba2d379295c7093a3a7
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 24 19:38:10 2016 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Fri Jun 24 20:06:20 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cdbc2752

app-accessibility/orca: Version bump

Package-Manager: portage-2.3.0_rc1

 app-accessibility/orca/Manifest           |  1 +
 app-accessibility/orca/orca-3.20.2.ebuild | 74 +++++++++++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/app-accessibility/orca/Manifest b/app-accessibility/orca/Manifest
index 566f5cb..b1653e6 100644
--- a/app-accessibility/orca/Manifest
+++ b/app-accessibility/orca/Manifest
@@ -1 +1,2 @@
 DIST orca-3.18.2.tar.xz 2213548 SHA256 986244af7a0891b758eb8e772bc61d72483808e7e9c790360f9f389045d7262a SHA512 ec1210cea7a540bd931f7ede45c173829e780a4da4e61245920d15bb11b62d803771e32b791b2d0c307e15a8ef61b619b5e79e9909bf438a94252842a0dd8613 WHIRLPOOL 31475d1eacbf322cdd49d286c3585d97c93de08f92b0533fa58905d4ea089272bc16e8bb748041cc6f27dd54c19996b3d72993c5b148b3c8e6c873f9e452fe98
+DIST orca-3.20.2.tar.xz 2313164 SHA256 8c90403c4ae8bb0a4b240d1e784b61ee56de42df781520c912b298c10ae05785 SHA512 27594b9b0fa9343057a854e8cfff7ab074e084c3f210c1bf1f4310363b4738ce6af5b4f62ef15ed58093af27e7eaad2e030c08e990cf462624e5fb2c8329fd0c WHIRLPOOL 473f7fd8b5dedb8034774604a38b97dcdc3b2e3c346e89f0b36343b18e69bffac7f98927bc069b3ac20c969c2dae09087f2612dacb09b98952fc299e3d340c76

diff --git a/app-accessibility/orca/orca-3.20.2.ebuild b/app-accessibility/orca/orca-3.20.2.ebuild
new file mode 100644
index 0000000..f784168
--- /dev/null
+++ b/app-accessibility/orca/orca-3.20.2.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python3_{3,4,5} )
+PYTHON_REQ_USE="threads"
+
+inherit gnome2 python-r1
+
+DESCRIPTION="Extensible screen reader that provides access to the desktop"
+HOMEPAGE="https://wiki.gnome.org/Projects/Orca"
+
+LICENSE="LGPL-2.1+ CC-BY-SA-3.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+
+IUSE="+braille"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# liblouis is not in portage yet
+# it is used to provide contracted braille support
+COMMON_DEPEND="${PYTHON_DEPS}
+	>=app-accessibility/at-spi2-atk-2.12:2
+	>=app-accessibility/at-spi2-core-2.12:2[introspection]
+	>=dev-libs/atk-2.10
+	>=dev-libs/glib-2.28:2
+	>=dev-python/pygobject-3.10:3[${PYTHON_USEDEP}]
+	media-libs/gstreamer:1.0
+	>=x11-libs/gtk+-3.6.2:3[introspection]
+	braille? (
+		>=app-accessibility/brltty-5.0-r3[python,${PYTHON_USEDEP}]
+		dev-libs/liblouis[python,${PYTHON_USEDEP}] )
+"
+RDEPEND="${COMMON_DEPEND}
+	>=app-accessibility/speech-dispatcher-0.8[python,${PYTHON_USEDEP}]
+	dev-libs/atk[introspection]
+	dev-python/pyatspi[${PYTHON_USEDEP}]
+	dev-python/setproctitle[${PYTHON_USEDEP}]
+	x11-libs/libwnck:3[introspection]
+	x11-libs/pango[introspection]
+"
+DEPEND="${COMMON_DEPEND}
+	>=dev-util/intltool-0.50
+	dev-util/itstool
+	virtual/pkgconfig
+"
+#	app-text/yelp-tools
+
+src_prepare() {
+	gnome2_src_prepare
+	python_copy_sources
+}
+
+src_configure() {
+	python_foreach_impl run_in_build_dir gnome2_src_configure \
+		$(use_with braille liblouis)
+}
+
+src_compile() {
+	python_foreach_impl run_in_build_dir gnome2_src_compile
+}
+
+src_install() {
+	installing() {
+		gnome2_src_install
+		# Massage shebang to make python_doscript happy
+		sed -e 's:#!'"${PYTHON}:#!/usr/bin/python:" \
+			-i src/orca/orca || die
+		python_doscript src/orca/orca
+	}
+	python_foreach_impl run_in_build_dir installing
+}


             reply	other threads:[~2016-06-24 20:06 UTC|newest]

Thread overview: 68+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-06-24 20:06 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-09 10:35 [gentoo-commits] repo/gentoo:master commit in: app-accessibility/orca/ Pacho Ramos
2024-08-09 10:35 Pacho Ramos
2024-06-02  8:19 Sam James
2024-05-06  7:09 Mart Raudsepp
2024-04-22 17:34 Arthur Zamarin
2024-04-06 21:07 Arthur Zamarin
2024-03-02 22:33 Mart Raudsepp
2024-02-18  6:09 Arthur Zamarin
2024-02-18  6:09 Arthur Zamarin
2024-01-08  7:03 Sam James
2024-01-06 18:48 Mart Raudsepp
2023-10-08 11:51 Pacho Ramos
2023-09-22  2:33 Matt Turner
2023-09-15 16:52 Matt Turner
2023-05-26  1:44 Matt Turner
2023-05-05  7:36 Arthur Zamarin
2023-05-05  7:36 Arthur Zamarin
2023-05-05  7:34 Arthur Zamarin
2023-03-25  3:27 Matt Turner
2023-01-05 16:30 Matt Turner
2022-11-29 15:58 WANG Xuerui
2022-10-29 22:33 Matt Turner
2022-10-02 10:36 Matt Turner
2022-07-07 18:06 Matt Turner
2022-07-02  3:19 Matt Turner
2022-05-17 19:10 Matt Turner
2022-03-23  6:14 Matt Turner
2022-02-15 18:31 Matt Turner
2022-01-31 19:55 Matt Turner
2022-01-31  2:36 Yixun Lan
2022-01-29  7:10 Sam James
2022-01-29  4:32 Sam James
2022-01-28 18:58 Matt Turner
2022-01-22 10:06 Pacho Ramos
2021-12-01  6:37 Yixun Lan
2021-04-19  2:10 Matt Turner
2020-12-19 15:14 Mart Raudsepp
2020-08-16  7:52 Mart Raudsepp
2020-08-13 20:25 Michał Górny
2020-05-11 16:49 Agostino Sarubbo
2020-05-09  7:40 Agostino Sarubbo
2020-04-20 20:30 Mart Raudsepp
2020-04-19  8:15 Mart Raudsepp
2020-03-29 17:56 Mart Raudsepp
2019-12-08 20:27 Mart Raudsepp
2019-10-20 19:49 Mart Raudsepp
2019-08-03 14:04 Aaron Bauman
2019-05-18 13:41 Mart Raudsepp
2019-03-29 23:27 Mart Raudsepp
2019-03-18 11:02 Mart Raudsepp
2019-03-06 21:17 Mart Raudsepp
2019-01-17 13:59 Mart Raudsepp
2018-01-27  9:38 Mart Raudsepp
2018-01-18  1:49 Mikle Kolyada
2017-12-09 14:21 Pacho Ramos
2017-08-09 22:58 Gilles Dartiguelongue
2017-08-09 22:58 Gilles Dartiguelongue
2016-11-09  8:28 Gilles Dartiguelongue
2016-11-01 17:31 Gilles Dartiguelongue
2016-11-01 17:31 Gilles Dartiguelongue
2016-08-31 21:58 Gilles Dartiguelongue
2016-08-31 21:58 Gilles Dartiguelongue
2016-07-30 10:50 Pacho Ramos
2016-06-24 20:06 Pacho Ramos
2015-11-09 21:51 Pacho Ramos
2015-10-04 11:06 Pacho Ramos
2015-10-04 11:06 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1466798780.cdbc275294c3d20e87c71ba2d379295c7093a3a7.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox